////////////////////////////////////// java ////////////////////////////////////
//
//  Module           : Command.java
//  Description      :
//  Author           : Martin Spoden
//  Email            :
//  Copyright        : Uni Heidelberg
//  Created on       : Tue Oct 12 10:32:10 1999
//  Last modified by : ahr
//  Last modified on : Fri Sep 29 10:34:47 2000
//  Update count     : 2
//  CVS Info         : $Id: Command.java,v 1.1.1.2 2002/03/18 12:42:41 vigelius Exp $
//
///////////////////////////////////////////////////////////////////////////////
//
//  Date	    Name		Changes/Extensions
//  ----	    ----		------------------
//  26.02.01    vigelius    Enhanced documentation
//
///////////////////////////////////////////////////////////////////////////////


package visalg.basics;


import java.io.Serializable;

/**
 * This is the interface, that all command classes must implement.
 */
public interface Command extends Serializable {


    // -----------------------------------------------------
    // ------- M e t h o d s   ( p u b l i c ) -------------
    // -----------------------------------------------------

    /**
     * Each command has to implement this function which will execute the
     * associated action.
     */
    public void doIt();

    /**
     * The description of the command.
     */
    public String toString();
} // interface Command

