////////////////////////////////////// java ////////////////////////////////////
//
//  Module           : Converter.java
//  Description      :
//  Author           : Martin Spoden
//  Email            :
//  Copyright        : Uni Heidelberg
//  Created on       : Tue Oct 12 10:32:00 1999
//  Last modified by : ahr
//  Last modified on : Fri Sep 29 10:57:46 2000
//  Update count     : 2
//  CVS Info         : $Id: Converter.java,v 1.1.1.2 2002/03/18 12:42:41 vigelius Exp $
//
///////////////////////////////////////////////////////////////////////////////
//
//  Date	    Name		Changes/Extensions
//  ----	    ----		------------------
//  26.02.01    vigelius    Enhanced documentation
///////////////////////////////////////////////////////////////////////////////


package visalg.basics;


import java.io.File;


/**
 * This interface must be implemented by every converter class. A converter
 * reads out an object of a file. The name of a converter should indicate the
 * source format as well as the return object. E. g. : ArrayOfIntConverter, ...
 *
*/
public interface Converter {
    // -----------------------------------------------------
    // ------- M e t h o d s   ( p u b l i c ) -------------
    // -----------------------------------------------------

    /**
     * Gives back the object read out of the file.
     *
     * @param f Reference to the input file
     *
     * @return The data, null if an error occurred.
     */
    public Object getData(File f);
} // interface Converter