////////////////////////////////////// java ////////////////////////////////////
//
//  Module           : ModuleListener.java
//  Description      :
//  Author           : Martin Spoden
//  Email            :
//  Copyright        : Uni Heidelberg
//  Created on       : Tue Oct 12 10:31:40 1999
//  Last modified by : ahr
//  Last modified on : Fri Sep 29 11:00:06 2000
//  Update count     : 3
//  CVS Info         : $Id: ModuleListener.java,v 1.1.1.2 2002/03/18 12:42:41 vigelius Exp $
//
///////////////////////////////////////////////////////////////////////////////
//
//  Date	    Name		Changes/Extensions
//  ----	    ----		------------------
//
//  28.09.00    D.A.        Removed declaration abstract from method moduleChanged
//                          Doesn't make sense in an interface.
//  26.02.01    vigelius    Enhanced documentation
//  08.03.01    vigelius    changed ChangeEvent to ModuleChangeEvent
//
///////////////////////////////////////////////////////////////////////////////


package visalg.basics;


import javax.swing.event.ChangeEvent;
import visalg.types.ModuleChangeEvent;

/**
 * ModuleListener provides the interface for all modules, that want to react
 * on other module events. This might be a Viewer module or a Trigger module.
 * The only event, that is processed by VisAlg up to now, is, that the module
 * has changed in some way.
**/
public interface ModuleListener {
    // -----------------------------------------------------
    // ------- M e t h o d s   ( p u b l i c ) -------------
    // -----------------------------------------------------

    /**
     * This function will be called by the module, that the listener has
     * been connected to. Up to now, only an API ChangeEvent is passed.
     */
    public void moduleChanged(ModuleChangeEvent cEvt);
} // interface ModuleListener