////////////////////////////////////// java ////////////////////////////////////
//
//  Module           : ProjectListener.java
//  Description      :
//  Author           : Martin Spoden
//  Email            :
//  Copyright        : Uni Heidelberg
//  Created on       : Tue Oct 12 10:31:07 1999
//  Last modified by : ahr
//  Last modified on : Fri Sep 29 11:06:13 2000
//  Update count     : 3
//  CVS Info         : $Id: ProjectListener.java,v 1.1.1.2 2002/03/18 12:42:41 vigelius Exp $
//
///////////////////////////////////////////////////////////////////////////////
//
//  Date	Name		Changes/Extensions
//  ----	----		------------------
//  27.02.01    vigelius        Enhanced documentation
//
///////////////////////////////////////////////////////////////////////////////


package visalg.basics;


import javax.swing.event.ChangeEvent;


/**
 * ProjectListener is the counterpart of ModuleListener on the Project side.
 * It gives other classes the possibility to react on changes of the project.
 *
 * @see visalg.basics.ModuleListener
*/
public interface ProjectListener {


    // -----------------------------------------------------
    // ------- M e t h o d s   ( p u b l i c ) -------------
    // -----------------------------------------------------

    /**
     * This method will be called of the project every time, it has been
     * changed.
     *
     * @todo Maybe it is usefull, to pass not just ChangeEvents but other
     * classes.
     *
     * @param cEvt Just a change event (contains no information)
     */
    public abstract void projectChanged(ChangeEvent cEvt);
} // interface ProjectListener

