////////////////////////////////////// java ////////////////////////////////////
//
//  Module           : IconButton.java
//  Description      :
//  Author           : Martin Spoden
//  Email            :
//  Copyright        : Uni Heidelberg
//  Created on       : Tue Oct 12 10:32:28 1999
//  Last modified by : ahr
//  Last modified on : Fri Sep 29 11:06:49 2000
//  Update count     : 5
//  CVS Info         : $Id: IconButton.java,v 1.1.1.2 2002/03/18 12:42:41 vigelius Exp $
//
///////////////////////////////////////////////////////////////////////////////
//
//  Date	Name		Changes/Extensions
//  ----	----		------------------
//  27.02.01    vigelius        Enhanced documentation
//
///////////////////////////////////////////////////////////////////////////////


package visalg.components;


import javax.swing.Action;
import javax.swing.Icon;
import javax.swing.JButton;


/**
 * IconButton is a JButton, that just shows the Icon, that has been passed
 * to the constructor using an Action class. If the Icon is pressed, the
 * Action will be executed.
 */
public class IconButton extends JButton {


    // -----------------------------------------------------
    // ------- M e t h o d s   ( p u b l i c ) -------------
    // -----------------------------------------------------

    /**
     * Sets up the Icon and registers as an ActionListener.
     *
     * @param a The Action that contains the Icon
     */
    public IconButton(Action a) {

	super();

	// Get Icon object
	Icon icon = (Icon)a.getValue(Action.SMALL_ICON);

	// If available set it
	if (icon != null) {
	    setIcon(icon);
	}

	// Action a will be executed when the button is pushed
	addActionListener(a);
    }//IconButton(Action)
} // class IconButton
