////////////////////////////////////// java ////////////////////////////////////
//
//  Module           : Slider.java
//  Description      :
//  Author           : Matthias Vigelius
//  Email            : mvigelius@gmx.de
//  Copyright        : Uni Heidelberg
//  Created on       : Mon Jan 15 2001
//  Last modified by : -
//  Last modified on : -
//  Update count     :
//  CVS Info         :
//
///////////////////////////////////////////////////////////////////////////////
//
//  Date	Name		Changes/Extensions
//  ----	----		------------------
//
///////////////////////////////////////////////////////////////////////////////

package visalg.components;

import javax.swing.JSlider;
import javax.swing.event.*;

/**
 * This class implements a standard slider with a change listener connected
 * to it. The only difference to a standard slider is an additional constructor.
 */
public class Slider extends JSlider {

    /**
     * This additional constructor creates the slider object by invoking the
     * superclass constructor and then adding a ChangeListener.
     * @param min The minimum slider value
     * @param max The maximum slider value
     * @param value The initial slider value
     * @param changed The ChangeListener associated to this object
     */
    public Slider(int min, int max, int value, ChangeListener changed) {
        super(min,max,value);
        addChangeListener(changed);
        setMajorTickSpacing((int) (max-min)/2);
        setMinorTickSpacing((int) (max-min)/4);
        setPaintTicks(true);
    }//Slider(int, int, int, ChangeListener)
}//class Slider