////////////////////////////////////// java ////////////////////////////////////
//
//  Module           : HistoryWindowContainer.java
//  Description      :
//  Author           : Martin Spoden
//  Email            :
//  Copyright        : Uni Heidelberg
//  Created on       : Tue Oct 12 10:32:28 1999
//  Last modified by : ahr
//  Last modified on : Wed Oct  4 11:30:16 2000
//  Update count     : 4
//  CVS Info         : $Id: HistoryWindowContainer.java,v 1.1.1.2 2002/03/18 12:42:41 vigelius Exp $
//
///////////////////////////////////////////////////////////////////////////////
//
//  Date	Name		Changes/Extensions
//  ----	----		------------------
//  26.02.01    vigelius        enhanced documentation
//
///////////////////////////////////////////////////////////////////////////////


package visalg.graphics;


/**
 * This interface provides functionality for any HistoryWindowContainer (should
 * be only one - the ApplicationWindow). The HistoryWindow must register itself
 * using setHistoryWindow(HistoryWindow).
 *
 * @see visalg.graphics.ApplicationWindow
 * @see HistoryWindowContainer#setHistoryWindow(HistoryWindow)
 */
public interface HistoryWindowContainer {


    // -----------------------------------------------------
    // ------- M e t h o d s   ( p u b l i c ) -------------
    // -----------------------------------------------------

    /**
     * This method is called by the HistoryWindow in order to register itself.
     * It must be overwritten to keep a reference to the HistoryWindow and to
     * show it at the convenient place.
     *
     * @param hw The HistoryWindow that wants to be added
     */
    public void setHistoryWindow(HistoryWindow hw);
} // interface HistoryWindowContainer
