////////////////////////////////////// java ////////////////////////////////////
//
//  Module           : MenuBarContainer.java
//  Description      :
//  Author           : Martin Spoden
//  Email            :
//  Copyright        : Uni Heidelberg
//  Created on       : Tue Oct 12 10:32:28 1999
//  Last modified by : ahr
//  Last modified on : Wed Oct  4 11:30:52 2000
//  Update count     : 10
//  CVS Info         : $Id: MenuBarContainer.java,v 1.1.1.2 2002/03/18 12:42:41 vigelius Exp $
//
///////////////////////////////////////////////////////////////////////////////
//
//  Date	Name		Changes/Extensions
//  ----	----		------------------
//  26.02.01    vigelius        enhanced documentation
//
///////////////////////////////////////////////////////////////////////////////


package visalg.graphics;


import javax.swing.JMenu;


/**
 * This interface provides functionality for other classes to add or remove
 * menu items. The idea behind this is, that every module can simply add or
 * remove menu items in order to allow the user to perform some action.
 *
*/
public interface MenuBarContainer {


    // -----------------------------------------------------
    // ------- M e t h o d s   ( p u b l i c ) -------------
    // -----------------------------------------------------

    /**
     * Adds a menu to the menubar.
     *
     * @param m The menu, that has to be added
     */
    public void addMenu(JMenu m);

    /**
     * Removes a menu from the menubar.
     *
     * @param m The menu, that has to be removed
     */
    public void removeMenu(JMenu m);
} // interface MenuBarContainer
