////////////////////////////////////// java ////////////////////////////////////
//
//  Module           : ProjectWindowContainer.java
//  Description      :
//  Author           : Martin Spoden
//  Email            :
//  Copyright        : Uni Heidelberg
//  Created on       : Tue Oct 12 10:32:28 1999
//  Last modified by : ahr
//  Last modified on : Wed Oct  4 11:34:44 2000
//  Update count     : 5
//  CVS Info         : $Id: ProjectWindowContainer.java,v 1.1.1.2 2002/03/18 12:42:41 vigelius Exp $
//
///////////////////////////////////////////////////////////////////////////////
//
//  Date	Name		Changes/Extensions
//  ----	----		------------------
//  27.02.01    vigelius        enhanced documentation
//
///////////////////////////////////////////////////////////////////////////////


package visalg.graphics;


/**
 * This interface must be implemented by all ProjectWindowContainers. This is
 * normally the ApplicationWindow. It provides a method to allow the
 * ProjectWindow to register itself.
 *
 * @see visalg.graphics.ApplicationWindow
 * @see visalg.graphics.ProjectWindow
 */
public interface ProjectWindowContainer {
    // -----------------------------------------------------
    // ------- M e t h o d s   ( p u b l i c ) -------------
    // -----------------------------------------------------

    /**
     * Called by the ProjectWindow to register itself. The container is
     * responsible for the correct setting of the ProjectWindow.
     *
     * @param pw The ProjectWindow that likes to be registered
     */
    public void setProjectWindow(ProjectWindow pw);
} // interface ProjectWindowContainer
