////////////////////////////////////// java ////////////////////////////////////
//
//  Module           : ArrayViewer.java
//  Description      :
//  Author           : Matthias Vigelius
//  Email            :
//  Copyright        : Uni Heidelberg
//  Created on       : Wed May 16 15:10:00 2001
//  Last modified by :
//  Last modified on :
//  Update count     :
//  CVS Info         :
//
///////////////////////////////////////////////////////////////////////////////
//
//  Date	    Name		Changes/Extensions
//  ----	    ----		------------------
///////////////////////////////////////////////////////////////////////////////

package visalg.modules;

import visalg.basics.ViewerModule;
import visalg.basics.ModuleManager;
import visalg.basics.DataModule;

/**
 * The ArrayViewer class visualises interger data, that is hold in an array.
 * It recognises the property IndicatorBarProperty.
 *
 * All work is done in the associated window class ArrayViewerWindow.
 *
 * @see visalg.types.IndicatorBarProperty
 * @see visalg.modules.ArrayViewerWindow
 */
public class ArrayViewer extends ViewerModule {
    /**
     * Creates the module with the standard name "Array Viewer" and the
     * specified ModuleManager and DataModule.
     *
     * @param mm The associated ModuleManager
     * @param dm The associated DataModule
     */
    public ArrayViewer(ModuleManager mm, DataModule dm) {
        super("Array Viewer", mm, dm);
    }//ArrayViewer(ModuleManager, DataModule)

    /**
     * Creates a new ArrayViewerWindow class.
     *
     * @see visalg.modules.ArrayViewerWindow
     */
    public void newModuleWindow() {
        m_moduleWindow = new ArrayViewerWindow("Array Viewer", this,
        m_moduleWindowBounds,
        m_moduleManager.getModuleWindowContainer());
    }//newModuleWindow()
}//class ArrayViewer