////////////////////////////////////// java ////////////////////////////////////
//
//  Module           : DummyAlgorithm.java
//  Description      :
//  Author           : Martin Spoden
//  Email            :
//  Copyright        : Uni Heidelberg
//  Created on       : Tue Oct 12 10:32:28 1999
//  Last modified by : ahr
//  Last modified on : Fri Sep 29 15:41:44 2000
//  Update count     : 4
//  CVS Info         : $Id: DummyAlgorithm.java,v 1.2 2002/03/18 12:28:50 vigelius Exp $
//
///////////////////////////////////////////////////////////////////////////////
//
//  Date	Name		Changes/Extensions
//  ----	----		------------------
//
///////////////////////////////////////////////////////////////////////////////


package visalg.modules;


import visalg.basics.Algorithm;

import visalg.basics.ModuleManager;
import visalg.basics.AbstractCommand;
import visalg.basics.Command;

import visalg.modules.DummyAlgorithmWindow;
import visalg.basics.DataModule;

/**
* DummyAlgorithmus testet Algorithm; 4 verschiedene Operationen werden je
* ca. fnfzig mal hintereinander ausgefhrt, dann hlt der Algorithmus an.
*/
public class DummyAlgorithm extends Algorithm {


    // -----------------------------------------------------
    // ------- V a r i a b l e s ---------------------------
    // -----------------------------------------------------

    /**
     * @serial Zustand des DummyAlgorithmus
     */
    private int m_state;


    // -----------------------------------------------------
    // ------- M e t h o d s   ( p u b l i c ) -------------
    // -----------------------------------------------------

    /**
     * Konstruktor
     */
    public DummyAlgorithm(String s, ModuleManager mm) {

	super(s, mm);
	m_done = false;
	m_commands = new AbstractCommand[4];
	m_commands[0] = new Command0();
	m_commands[1] = new Command1();
	m_commands[2] = new Command2();
	m_commands[3] = new Command3();

	m_state = 1;

	m_nextCommand = new Command0();
    }


    // -----------------------------------------------------
    // ------- M e t h o d s ( p r o t e c t e d ) ---------
    // -----------------------------------------------------

    /**
     *
     */
    protected void setNextCommand(Command ac) {
	super.setNextCommand(ac);
    }

    /**
     *
     */
    protected void setDone(boolean b) {
	super.setDone(b);
    }


    // -----------------------------------------------------
    // ------- I n t e r n a l   c l a s s e s -------------
    // -----------------------------------------------------

    private class Command0 extends AbstractCommand {
	public void doIt() {
	    if (m_state < 50) {
		setNextCommand(new Command0());
		m_state++;
	    }
	    else {
		setNextCommand(new Command1());
		m_state++;
	    }
	}

	public String toString() {
	    return "operation 0";
	}
    }

    private class Command1 extends AbstractCommand {
	public void doIt() {
	    if (m_state < 100) {
		setNextCommand(new Command1());
		m_state++;
	    }
	    else {
		setNextCommand(new Command2());
		m_state++;
	    }
	}

	public String toString() {
	    return "operation 1";
	}

    }

    private class Command2 extends AbstractCommand {
	public void doIt() {
	    if (m_state < 150) {
		setNextCommand(new Command2());
		m_state++;
	    }
	    else {
		setNextCommand(new Command3());
		m_state++;
	    }
	}

	public String toString() {
	    return "operation 2";
	}

    }

    private class Command3 extends AbstractCommand {
	public void doIt() {
	    if (m_state < 200) {
		setNextCommand(new Command3());
		m_state++;
	    }
	    else {
		setNextCommand(null);
		setDone(true);
		m_state++;
	    }
	}

	public String toString() {
	    return "operation 3";
	}
    }


    public void newModuleWindow() {
	try {
	    m_moduleWindow =
		new DummyAlgorithmWindow("DummyAlgorithm" + m_name,
					 this,
					 m_moduleWindowBounds,
					 m_moduleManager.getModuleWindowContainer());
	} catch (Exception e) {}
    }

    public void setDataModule(DataModule dm) {

    }

    public DataModule getDataModule() {
        return null;
    }

    protected void reset() {};
} // class DummyAlgorithm
