////////////////////////////////////// java ////////////////////////////////////
//
//  Module           : DummyAlgorithmWindow.java
//  Description      :
//  Author           : Martin Spoden
//  Email            :
//  Copyright        : Uni Heidelberg
//  Created on       : Tue Oct 12 10:32:28 1999
//  Last modified by : ahr
//  Last modified on : Mon Oct  9 16:54:20 2000
//  Update count     : 4
//  CVS Info         : $Id: DummyAlgorithmWindow.java,v 1.1.1.2 2002/03/18 12:42:42 vigelius Exp $
//
///////////////////////////////////////////////////////////////////////////////
//
//  Date	Name		Changes/Extensions
//  ----	----		------------------
//  08.03.01    vigelius    changed ChangeEvent to ModuleChangeEvent
//
///////////////////////////////////////////////////////////////////////////////


package visalg.modules;


import visalg.basics.Module;
import visalg.basics.ModuleListener;
import visalg.basics.*;
import visalg.graphics.AlgorithmWindow;
import visalg.graphics.ModuleWindow;
import visalg.graphics.ModuleWindowContainer;
import visalg.types.ModuleChangeEvent;

import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
import javax.swing.event.*;
import java.util.*;


/**
* DummyAlgorithmWindow-Fenster
*/
public class DummyAlgorithmWindow extends AlgorithmWindow {


    // -----------------------------------------------------
    // ------- V a r i a b l e s ---------------------------
    // -----------------------------------------------------

    /**
     *
     */
    private transient JLabel m_commandTesterLabel;

    /**
     *
     */
    private transient DummyAlgorithm m_dummyAlgorithm;


    // -----------------------------------------------------
    // ------- M e t h o d s   ( p u b l i c ) -------------
    // -----------------------------------------------------

    /**
     * Einteilung des Hauptfensters, Initialisierung
     */
    public DummyAlgorithmWindow(String s, DummyAlgorithm da, Rectangle bounds,
				ModuleWindowContainer mwc) {
	super(s, da, bounds, mwc);
	m_dummyAlgorithm = da;

	//Initialisierung der (lokalen) Variablen
	m_commandTesterLabel = new JLabel("last command: " + m_dummyAlgorithm.getLastCommand());
	m_contentPane.add(m_commandTesterLabel);
	revalidate();
    }


    // -------- from interface ModuleListener  -------------

    public void moduleChanged(ModuleChangeEvent cEvt) {
    super.moduleChanged(cEvt);
	m_commandTesterLabel.setText("last Command: " + m_dummyAlgorithm.getLastCommand());
	invalidate();
	repaint();
    }


} // class DummyAlgorithmWindow
