////////////////////////////////////// java ////////////////////////////////////
//
//  Module           : DummyAlgorithmWindow2.java
//  Description      :
//  Author           : Martin Spoden
//  Email            :
//  Copyright        : Uni Heidelberg
//  Created on       : Tue Oct 12 10:32:28 1999
//  Last modified by : ahr
//  Last modified on : Mon Oct  9 16:54:06 2000
//  Update count     : 2
//  CVS Info         : $Id: DummyAlgorithmWindow2.java,v 1.1.1.2 2002/03/18 12:42:42 vigelius Exp $
//
///////////////////////////////////////////////////////////////////////////////
//
//  Date	Name		Changes/Extensions
//  ----	----		------------------
//  08.03.01    vigelius    changed ChangeEvent to ModuleChangeEvent
//
///////////////////////////////////////////////////////////////////////////////


package visalg.modules;


import visalg.basics.Module;
import visalg.basics.ModuleListener;
import visalg.basics.*;
import visalg.graphics.ModuleWindow;
import visalg.graphics.ModuleWindowContainer;
import visalg.types.ModuleChangeEvent;

import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
import javax.swing.event.*;
import java.util.*;


/**
* DummyAlgorithmWindow-Fenster
*/
public class DummyAlgorithmWindow2 extends ModuleWindow {


    // -----------------------------------------------------
    // ------- V a r i a b l e s ---------------------------
    // -----------------------------------------------------

    /**
     *
     */
    private transient JLabel m_stepTesterLabel;

    /**
     *
     */
    private transient JLabel m_commandTesterLabel;

    /**
     *
     */
    private transient JSplitPane m_splitPane;

    /**
     *
     */
    private transient DummyAlgorithm2 m_dummyAlgorithm2;


    // -----------------------------------------------------
    // ------- M e t h o d s   ( p u b l i c ) -------------
    // -----------------------------------------------------

    /**
     * Einteilung des Hauptfensters, Initialisierung
     */
    public DummyAlgorithmWindow2(String s, DummyAlgorithm2 da2, Rectangle bounds,
				 ModuleWindowContainer mwc) {
	super(s, da2, bounds, mwc);
	m_dummyAlgorithm2 = da2;

	//Initialisierung der (lokalen) Variablen
	m_contentPane.setLayout(new BorderLayout());
	m_stepTesterLabel = new JLabel("Time: " + m_dummyAlgorithm2.getTime());
	m_commandTesterLabel = new JLabel("last command: " + m_dummyAlgorithm2.getLastCommand());
	JPanel north = new JPanel();
	north.add(m_stepTesterLabel);
	north.add(m_commandTesterLabel);
	m_contentPane.add(north, BorderLayout.NORTH);

	m_splitPane = new JSplitPane(JSplitPane.HORIZONTAL_SPLIT,
				  new JLabel("statistics"), new JLabel("trigger"));
	m_contentPane.add(m_splitPane, BorderLayout.CENTER);
	revalidate();
    }

    /**
     *
     */
    public void setStatisticsWindow(ModuleWindow mw) {
	if (mw != null)	m_splitPane.setLeftComponent(mw);
	m_splitPane.repaint();
    }

    /**
     *
     */
    public void setTriggerWindow(ModuleWindow mw) {
	if (mw != null)	m_splitPane.setRightComponent(mw);
	m_splitPane.repaint();
    }


    // -------- from interface ModuleListener  -------------

    /**
     *
     */
    public void moduleChanged(ModuleChangeEvent cEvt) {
	m_stepTesterLabel.setText("Time: " + m_dummyAlgorithm2.getTime());
	m_commandTesterLabel.setText("last command: " + m_dummyAlgorithm2.getLastCommand());
	invalidate();
	repaint();
    }


} // class DummyAlgorithmWindow2
