////////////////////////////////////// java ////////////////////////////////////
//
//  Module           : MatrixTool.java
//  Description      :
//  Author           : Tom Kraus, Martin Nowak, Dominik Maidner
//  Email            :
//  Copyright        : Uni Heidelberg
//  Created on       : Thu Apr 20 12:49:00 2000
//  Last modified by :
//  Last modified on :
//  Update count     : 4
//
///////////////////////////////////////////////////////////////////////////////
//
//  Date        Name            Changes/Extensions
//  ----        ----            ------------------
//  27.06.01    vigelius        adjusted to viewer concept
//                              closes windows on discardWindows()
//
///////////////////////////////////////////////////////////////////////////////


package visalg.modules;

import visalg.basics.AbstractModule;
import visalg.basics.ModuleManager;
import visalg.basics.DataModule;
import visalg.types.VisAlgMatrix;
import visalg.basics.ViewerModule;

import java.awt.Rectangle;

/**
* MatrixTool just contains a method to open a new MatrixToolWindow.
*/
public class MatrixTool extends ViewerModule {

    // ---------------------------------
    // ------- V a r i a b l e s -------
    // ---------------------------------

    // -------------------------------------------------
    // ------- M e t h o d s   ( p u b l i c ) ---------
    // -------------------------------------------------

    /**
     * Constructor. Needs a reference to the ModuleManager and to the
     * associated DataModule.
     *
     * @param mm The ModuleManager
     * @param dm The DataModule
     */
    public MatrixTool(ModuleManager mm, DataModule dm) {
    	super("Matrix-Tool", mm,dm);
    }//MatrixTool(ModuleManager, DataModule)

    /**
     * Method opens a new MatrixToolWindow.
     */
    public void newModuleWindow() {
	try {
	    m_moduleWindow =
		new MatrixToolWindow("Matrix-Tool",
				       this,
				       new Rectangle(0,0,350,220),
				       m_moduleManager.getModuleWindowContainer(),
                       getDataModule());
	} catch (Exception e) {}
    }//newModuleWindow()

    /**
     * Removes all open windows of this class. This will just be passed
     * to MatrixToolWindow.
     */
    public void discardWindows() {
        if (m_moduleWindow instanceof MatrixToolWindow) {
            ((MatrixToolWindow)m_moduleWindow).discardWindows();
            getModuleManager().getModuleWindowContainer().removeModuleWindow(m_moduleWindow);

        }
    }
} // class MatrixTool
