////////////////////////////////////// java ////////////////////////////////////
//
//  Module           : PrimitiveObserver.java
//  Description      :
//  Author           : Martin Spoden
//  Email            :
//  Copyright        : Uni Heidelberg
//  Created on       : Tue Oct 12 10:32:28 1999
//  Last modified by : ahr
//  Last modified on : Mon Oct  9 16:13:06 2000
//  Update count     : 4
//  CVS Info         : $Id: PrimitiveObserver.java,v 1.1.1.2 2002/03/18 12:42:42 vigelius Exp $
//
///////////////////////////////////////////////////////////////////////////////
//
//  Date	Name		Changes/Extensions
//  ----	----		------------------
//  02.03.01    vigelius        enhanced documentation
//
///////////////////////////////////////////////////////////////////////////////


package visalg.modules;


import java.util.*;
import java.awt.event.*;
import javax.swing.*;

import visalg.basics.*;
import visalg.graphics.*;


/**
* This class implements a primitive module observer. It shows each currently
* loaded module and reads out the last performed command of each algorithm
* modules. This is printed in plain text.
*
* The class itself provides just one method to create a new
* PrimitiveObserverWindow. All functionality is done in that class.
*
* @see PrimitiveObserverWindow
*/
public class PrimitiveObserver extends AbstractModule {
    // -----------------------------------------------------
    // ------- M e t h o d s   ( p u b l i c ) -------------
    // -----------------------------------------------------

    /**
     * Just passes the call to the superclass constructor.
     *
     * @param mm Reference to the ModuleManager
     */
    public PrimitiveObserver(ModuleManager mm) {
	super("Primitive Module Obvserver", mm);
    }//PrimitiveObserver(ModuleManager)

    // ----------- from Interface Module  ------------------

    /**
     * Creates a new PrimitiveObserverWindow object.
     *
     * @see PrimitiveObserverWindow
     */
    public void newModuleWindow() {
	try {
	    m_moduleWindow =
		new PrimitiveObserverWindow("Primitive Module observer",
					    this,
					    m_moduleWindowBounds,
					    m_moduleManager.getModuleWindowContainer());
	}
	catch (Exception e) {
	    System.err.println(e);
	}
    }//newModuleWindow

    /**
     * Just passes the call to the superclass method.
     */
    public void step() {
	super.step();
    }//step()
} // class PrimitiveObserver
