////////////////////////////////////// java ////////////////////////////////////
//
//  Module           : SelectionSortWindow.java
//  Description      :
//  Author           : Martin Spoden
//  Email            :
//  Copyright        : Uni Heidelberg
//  Created on       : Tue Oct 12 10:32:28 1999
//  Last modified by : ahr
//  Last modified on : Fri Sep 29 15:19:04 2000
//  Update count     : 2
//  CVS Info         : $Id: SelectionSortWindow.java,v 1.1.1.2 2002/03/18 12:42:42 vigelius Exp $
//
///////////////////////////////////////////////////////////////////////////////
//
//  Date	Name		Changes/Extensions
//  ----	----		------------------
//  03.03.01    vigelius        revised documentation
//  08.03.01    vigelius    changed ChangeEvent to ModuleChangeEvent
//  06.06.01    vigelius    now uses AlgorithmWindow
//
///////////////////////////////////////////////////////////////////////////////


package visalg.modules;


import visalg.basics.*;
import visalg.graphics.AlgorithmWindow;
import visalg.graphics.ModuleWindowContainer;
import visalg.types.*;

import java.awt.Rectangle;

/**
* This class represents the window where the data module for the SelectionSort
* module can be selected. Furthermore it shows the actual time step of the
* SelectionSort module.
*
* @see SelectionSort
*/
public class SelectionSortWindow extends AlgorithmWindow {
    public SelectionSortWindow(String name, Algorithm alg, Rectangle bounds,
            ModuleWindowContainer mwc) {

        super(name, alg, bounds, mwc);
    }
} // class SelectionSortWindow
