////////////////////////////////////// java //////////////////////////////////////
//
//  Module           : TSPGraphViewer.java
//  Description      :
//  Author           : Bonato, Braun, Schoebel
//  Email            :
//  Copyright        : University of Heidelberg
//  Created on       :
//  Last modified by :
//  Last modified on :
//  Update count     :
//
//////////////////////////////////////////////////////////////////////////////////
//
//  Date        Name            Changes/Extensions
//  ----        ----            ------------------
//
//////////////////////////////////////////////////////////////////////////////////


package visalg.modules;


import visalg.basics.ViewerModule;
import visalg.basics.ModuleManager;
import visalg.basics.DataModule;
import visalg.modules.tspGraphViewerWindow.*;
import visalg.types.VisAlgGraph.VisAlgGraph;


/**
 *
 */
public class TSPGraphViewer extends ViewerModule {


    // -----------------------------------------------------
    // ------- M e t h o d s  ( p u b l i c ) --------------
    // -----------------------------------------------------

    /**
     * Constructor
     */
    public TSPGraphViewer(ModuleManager mm, DataModule dm) {
        super("TSPGraph Viewer", mm, dm);
    } // TSPGraphViewer(ModuleManager, DataModule)

    /**
     * Creates a new TSPGraphViewerWindow class.
     *
     * @see visalg.modules.TSPGraphViewerWindow
     */
    public void newModuleWindow() {
        VisAlgGraph vag = (VisAlgGraph) getDataModule().getData();
        String mwName = vag.getTSPGraphFile().getName() + " - Original File";
        m_moduleWindow = new TSPGraphViewerWindow(mwName, this,
        m_moduleWindowBounds,
        m_moduleManager.getModuleWindowContainer());
    }//newModuleWindow()
}//class WeightedGraphViewer