////////////////////////////////////// java ////////////////////////////////////
//
//  Module           : TuringMachineViewer.java
//  Description      : Viewer module for VisalgTuringMachineData
//  Author           : Heiner Violet
//  Email            : hviolet@ix.urz.uni-heidelberg.de
//  Copyright        : Uni Heidelberg
//  Created on       : 30.09.01
//  Last modified by :
//  Last modified on :
//  Update count     :
//  CVS Info         :
//
///////////////////////////////////////////////////////////////////////////////
//
//  Date	    Name		Changes/Extensions
//  ----	    ----		------------------
///////////////////////////////////////////////////////////////////////////////

package visalg.modules;

import visalg.basics.ViewerModule;
import visalg.basics.ModuleManager;
import visalg.basics.DataModule;

import java.awt.Rectangle;

/**
 * The class TuringMachineViewer visualises TuringMachines, i.e.
 * it visualizes data of the type VisAlgTuringMachineData
 * @see visalg.modules.TuringMachine.
 */
public class TuringMachineViewer extends ViewerModule {

    /**
     * Creates the module with the standard name "TuringMachine Viewer" and the
     * specified ModuleManager and DataModule.
     *
     * @param mm The associated ModuleManager
     * @param dm The associated DataModule
     */
    public TuringMachineViewer(ModuleManager mm, DataModule dm) {
        super("Turing Machine Viewer", mm, dm);
    }//TuringMachineViewer

    /**
     * Creates a new TuringMachineViewerWindow class.
     *
     * @see visalg.modules.TuringMachineViewerWindow
     */
    public void newModuleWindow() {
        m_moduleWindow = new TuringMachineViewerWindow(
            "Turing Machine Viewer",  this, m_moduleWindowBounds,
                               m_moduleManager.getModuleWindowContainer());
    } //newModuleWindow()

} //class TuringMachineViewer