////////////////////////////////////// java ////////////////////////////////////
//
//  Module           : PropertyObject.java
//  Description      :
//  Author           : Matthias Vigelius
//  Email            :
//  Copyright        : Uni Heidelberg
//  Created on       : Thu May 03 14:27:20 2001
//  Last modified by :
//  Last modified on :
//  Update count     :
//  CVS Info         :
//
///////////////////////////////////////////////////////////////////////////////
package visalg.types;

import java.io.Serializable;

/**
 * This is the base class for all PropertyObjects. It just provides methods
 * to return and to set the propertys name.
 */
public class PropertyObject implements Serializable {
    private String m_name = "";

    /**
     * Default constructor does nothing at all.
     */
    public PropertyObject() {
    }//PropertyObject

    /**
     * Returns the name of the property.
     *
     * @return The propertys name
     */
    public String getPropertyName() {
        return m_name;
    }//getPropertyName

    /**
     * Sets the name of the property. There is no reason to use this function
     * outside the propertys constructor.
     *
     * @param name The name of the property
     */
    protected void setPropertyName(String name) {
        m_name = name;
    }//setPropertyName
}//class PropertyObject