////////////////////////////////////// java ////////////////////////////////////
//
//  Module           : SamplingPoint.java
//  Description      :
//  Author           : Dominik Maidner, Martin Nowak, Tom Kraus
//  Email            :
//  Copyright        : Uni Heidelberg
//  Created on       : Thu Apr 20 12:52:00 2000
//  Last modified by : ahr
//  Last modified on : Wed May  3 14:55:47 2000
//  Update count     : 1
//
///////////////////////////////////////////////////////////////////////////////
//
//  Date        Name            Changes/Extensions
//  ----        ----            ------------------
//
///////////////////////////////////////////////////////////////////////////////

package visalg.types;

import java.io.*;

/**
 * The class SamplingPoint is needed to take up a relative Sampling Position
 * of red, green and blue (called up by MatrixTool)
 */

public class SamplingPoint implements Serializable, Comparable{

    // ---------------------------------
    // ------- V a r i a b l e s -------
    // ---------------------------------

    /**
     * @serial
     */
    public int R;

    /**
     * @serial
     */
    public int G;

    /**
     * @serial
     */
    public int B;

    /**
     * @serial
     */
    public int point;

    // -------------------------------------------------
    // ------- M e t h o d s   ( p u b l i c ) ---------
    // -------------------------------------------------

    /**
     * Constructor
     */
    public SamplingPoint(int point, int R, int G, int B) {
	this.point=point;
	this.R=R;
	this.G=G;
	this.B=B;
    }

    /**
     * Overwritten method toString is needed to insert the Sampling Point
     * into the Sampling Point List
     */
    public String toString() {
	return("Rel. Position="+point+"; R="+R+"; G="+G+"; B="+B+";");
    }


    /**
     * Overwritten method compareTo is needed to compare two objects of this class
     * with each other
     */
    public int compareTo(Object o){
	SamplingPoint compare=(SamplingPoint)o;
	return(point-compare.point);
    }

} // class SamplingPoint

