////////////////////////////////////// java ////////////////////////////////////
//
//  Module           : VisAlgComparableData.java
//  Description      :
//  Author           : Martin Spoden
//  Email            :
//  Copyright        : Uni Heidelberg
//  Created on       : Tue Oct 12 10:32:28 1999
//  Last modified by : ahr
//  Last modified on : Fri Sep 29 14:54:16 2000
//  Update count     : 4
//  CVS Info         : $Id: VisAlgComparableData.java,v 1.1.1.2 2002/03/18 12:42:42 vigelius Exp $
//
///////////////////////////////////////////////////////////////////////////////
//
//  Date	Name		Changes/Extensions
//  ----	----		------------------
//  03.03.01    vigelius        revised documentation
//
///////////////////////////////////////////////////////////////////////////////

package visalg.types;


/**
 * This interface should be implemented, if a VisAlgData can be compared to
 * another. The implementing class must then implement the Comparable interface
 * as well.
*/
public interface VisAlgComparableData extends Comparable, VisAlgData {


    // -----------------------------------------------------
    // ------- M e t h o d s   ( p u b l i c ) -------------
    // -----------------------------------------------------

    /**
     * If possible, this function should give back the absolute value. If not,
     * it should return 0.
     *
     * @return The absolute value if possible, 0 else
     */
    public int compareToZero();
} // interface VisAlgComparableData
