////////////////////////////////////// java ////////////////////////////////////
//
//  Module           : VisAlgInterval.java
//  Description      :
//  Author           : Bonato, Braun, Schoebel
//  Email            :
//  Copyright        : University of Heidelberg
//  Created on       :
//  Last modified by :
//  Last modified on :
//  Update count     :
//
////////////////////////////////////////////////////////////////////////////////
//
//  Date        Name            Changes/Extensions
//  ----        ----            ------------------
//
////////////////////////////////////////////////////////////////////////////////


package visalg.types.VisAlgGraph;


import java.awt.*;


/**
 * This class links an interval with a userdefined color.
 */
public class VisAlgInterval {


    // -----------------------------------------------------
    // ------- V a r i a b l e s ---------------------------
    // -----------------------------------------------------

    /**
     *
     */
    private double m_lowerLimit;
    private double m_upperLimit;
    private Color m_color;


    // -----------------------------------------------------
    // ------- M e t h o d s  ( p u b l i c ) --------------
    // -----------------------------------------------------

    /**
     * Constructor
     */
    public VisAlgInterval(double l, double u, Color c) {
        m_lowerLimit = l;
	m_upperLimit = u;
	m_color      = c;
    }//end public Interval(double l, double u, Color c)

    /**
     * This function sets the value of the m_lowerLimit- variable.
     * @param low   Lower limit.
     */
    public void setLowerLimit(double low) {
        m_lowerLimit = low;
    }//end public void setLowerLimit(double low)

    /**
     * This function returns the value of the m_lowerLimit- variable.
     *
     * @return m_lowerLimit
     */
    public double getLowerLimit() {
        return m_lowerLimit;
    }//end public double getLowerLimit()

    /**
     * This function sets the value of the m_upperLimit- variable.
     * @param up   Upper Limit.
     */
    public void setUpperLimit(double up) {
        m_upperLimit = up;
    }//end public void setUpperLimit(double up)

    /**
     * This function returns the value of the m_upperLimit- variable.
     *
     * @return m_upperLimit
     */
    public double getUpperLimit() {
        return m_upperLimit;
    }//end public double getUpperLimit()

    /**
     * This function sets the value of the m_color- variable.
     * @param col  Color.
     */
    public void setColor(Color col) {
        m_color = col;
    }//end public void setColor(Color col)

    /**
     * This function returns the value of the m_color- variable.
     *
     * @return m_color
     */
    public Color getColor() {
        return m_color;
    }//end public Color getColor()

}//end public class VisAlgInterval